shishi_principal_default_guess(3)

NAME
shishi_principal_default_guess - API function

SYNOPSIS
#include <shishi.h>

char * shishi_principal_default_guess( void);

ARGUMENTS

void

DESCRIPTION
Guesses the principal name for the user, looking at environment variables SHISHI_USER, USER and LOGNAME, or if that fails, returns the string "user".

RETURN VALUE
Returns guessed default principal for user as a string that has to be deallocated by the caller with free().

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.